# Generated by Django 5.0.6 on 2024-05-29 11:13

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0025_rename_electro_date_reading_meter_date_reading_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='meter',
            options={'verbose_name': 'Показання лічильника', 'verbose_name_plural': 'Показання лічильників'},
        ),
        migrations.RemoveField(
            model_name='meter',
            name='electricity_number',
        ),
        migrations.RemoveField(
            model_name='meter',
            name='heat_number',
        ),
        migrations.RemoveField(
            model_name='meter',
            name='water_number',
        ),
        migrations.AddField(
            model_name='flat',
            name='electricity_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Ел/лічильник №'),
        ),
        migrations.AddField(
            model_name='flat',
            name='heat_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Теплолічильник №'),
        ),
        migrations.AddField(
            model_name='flat',
            name='water_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Водомір №'),
        ),
        migrations.AlterField(
            model_name='meter',
            name='date_reading',
            field=models.DateField(null=True, verbose_name='Дата зняття показань'),
        ),
        migrations.AlterField(
            model_name='meter',
            name='electro_value',
            field=models.IntegerField(blank=True, null=True, verbose_name='Показання ел/лічильника'),
        ),
        migrations.AlterField(
            model_name='meter',
            name='heat_value',
            field=models.FloatField(blank=True, null=True, verbose_name='Показання теплолічильника'),
        ),
        migrations.AlterField(
            model_name='meter',
            name='water_value',
            field=models.IntegerField(blank=True, null=True, verbose_name='Показання водоміру'),
        ),
    ]
